[arch-commits] CVS update of arch/build/daemons/esd (2 files)

Jan de Groot jgc at archlinux.org
Sat Jun 30 08:50:41 EDT 2007


    Date: Saturday, June 30, 2007 @ 08:50:41
  Author: jgc
    Path: /home/cvs-arch/arch/build/daemons/esd

   Added: esd-0.2.38-alsa-drain.patch (1.1)
Modified: PKGBUILD (1.30 -> 1.31)

upgpkg: esd 0.2.38-3
Build with alsa support again, add patch from gnome bugzilla that should fix lockups with alsa


-----------------------------+
 PKGBUILD                    |   11 +++++++----
 esd-0.2.38-alsa-drain.patch |   11 +++++++++++
 2 files changed, 18 insertions(+), 4 deletions(-)


Index: arch/build/daemons/esd/PKGBUILD
diff -u arch/build/daemons/esd/PKGBUILD:1.30 arch/build/daemons/esd/PKGBUILD:1.31
--- arch/build/daemons/esd/PKGBUILD:1.30	Wed May 16 16:03:27 2007
+++ arch/build/daemons/esd/PKGBUILD	Sat Jun 30 08:50:41 2007
@@ -1,26 +1,29 @@
-# $Id: PKGBUILD,v 1.30 2007/05/16 20:03:27 jgc Exp $
+# $Id: PKGBUILD,v 1.31 2007/06/30 12:50:41 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=esd
 pkgver=0.2.38
-pkgrel=2
+pkgrel=3
 pkgdesc="Enlightened Sound Daemon"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('audiofile' 'tcp_wrappers')
+depends=('audiofile' 'tcp_wrappers' 'alsa-lib')
 url="http://www.tux.org/~ricdude/EsounD.html"
 backup=('etc/esd.conf')
 options=('!libtool')
 source=(http://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-${pkgver}.tar.bz2
+	esd-0.2.38-alsa-drain.patch
 	esd)
 md5sums=('1c48c100b450d617b58dacb59837d34f'
+         '3de93efcd1bc196a3585e6aef50eac48'
          'a4c76e7c7f75b201ea7ab6fb15b47472')
 
 build() {
   cd ${startdir}/src/esound-${pkgver}
+  patch -Np1 -i ${startdir}/src/esd-0.2.38-alsa-drain.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
               --with-audiofile --with-libwrap \
-	      --disable-alsa --disable-artstest
+	      --enable-alsa --disable-artstest
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
   install -D -m755 ${startdir}/src/esd ${startdir}/pkg/etc/rc.d/esd
Index: arch/build/daemons/esd/esd-0.2.38-alsa-drain.patch
diff -u /dev/null arch/build/daemons/esd/esd-0.2.38-alsa-drain.patch:1.1
--- /dev/null	Sat Jun 30 08:50:41 2007
+++ arch/build/daemons/esd/esd-0.2.38-alsa-drain.patch	Sat Jun 30 08:50:41 2007
@@ -0,0 +1,11 @@
+--- esound-0.2.38/audio_alsa09.c.old	2007-06-11 12:22:24.000000000 +0200
++++ esound-0.2.38/audio_alsa09.c	2007-06-11 12:22:49.000000000 +0200
+@@ -486,7 +486,7 @@ void esd_audio_flush(void)
+ 	}
+ 
+ 	if (alsa_playback_handle != NULL)
+-		snd_pcm_drain( alsa_playback_handle );
++		snd_pcm_drop( alsa_playback_handle );
+   
+ 	if (alsadbg) 
+ 		print_state();




More information about the arch-commits mailing list